Endpoint Examples

/versions/{version}/titles

Returns a list of all titles in {version} sorted by title name

GET List all titles

Requesting title mappings requires additional permissions, please contact us if you'd like access to mappings.

Path Parameters

NameDescription
versionstringThe title version.Example: latest

Query Parameters

NameDescription
qstringA query string of title names to search for.This parameter is optional.Example: .NET
fieldsstringList of fields to return per title. See /versions/{version} for available fields. Mappings require additional permissions, please contact us if you'd like access to mappings.This parameter is optional.Default: id,name
limitintegerLimit the number of titles returned in the response.This parameter is optional.Example: 5
pageintegerPaginate the response and choose which page to return.This parameter is optional.Example: 2

Code Examples

{
  "method": "GET",
  "url": "https://api.lightcast.io/titles/versions/latest/titles",
  "show": true,
  "headers": [
    {
      "name": "Authorization",
      "value": "Bearer "
    }
  ],
  "queryString": [
    {
      "name": "q",
      "value": ".NET"
    },
    {
      "name": "limit",
      "value": "5"
    },
    {
      "name": "page",
      "value": "2"
    }
  ]
}

Response Examples

{
  "data": [
    {
      "id": "ETB9638ED17EEBE37D",
      "name": "Networker"
    },
    {
      "id": "ETAC9C14767C0F125C",
      "name": "Network Engineer/Network Administrator"
    },
    {
      "id": "ET02716A0AE13432E8",
      "name": "Networking Technician"
    },
    {
      "id": "ET057AF8DAB081D057",
      "name": "Network Designer"
    },
    {
      "id": "ET06255061AE3134B8",
      "name": "Network Lead"
    }
  ]
}

Invalid request.

{
  "errors": [
    {
      "status": 400,
      "title": "Invalid request",
      "detail": "Invalid request body"
    }
  ]
}

You don't have access to the normalization endpoint.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized",
      "detail": "You do not have access to this endpoint, please contact us at '[email protected]' to request access."
    }
  ]
}

The version you requested wasn't found.

{
  "errors": [
    {
      "title": "URL not found",
      "status": 404,
      "detail": "Unrecognized version: invaildVersion"
    }
  ]
}
{
    "$schema": "http://json-schema.org/draft-07/schema",
    "$id": "responses/titles.schema.json",
    "type": "object",
    "properties": {
        "data": {
            "title": "Title search response object",
            "type": "array",
            "items": {
                "type": "object",
                "properties": {
                    "id": {
                        "title": "Title id",
                        "type": "string",
                        "minLength": 1
                    },
                    "name": {
                        "title": "Title name",
                        "type": "string",
                        "minLength": 1
                    },
                    "pluralName": {
                        "title": "Plural form of title name",
                        "type": "string",
                        "minLength": 1
                    },
                    "mapping": {
                        "title": "Title SOC and skill mappings",
                        "type": "object",
                        "properties": {
                            "names": {
                                "title": "List of mapping names",
                                "description": "Mapping names are included in Titles v4.6 and onward.\n\nTitles may have zero or more mappings associated with them, the names of those mappings are listed here and represented in the unified list of skills and socs below.",
                                "type": "array",
                                "items": {
                                    "type": "string",
                                    "minLength": 1,
                                    "__nodocs": true
                                }
                            },
                            "socs": {
                                "title": "List of SOC mappings",
                                "type": "array",
                                "items": {
                                    "type": "object",
                                    "properties": {
                                        "id": {
                                            "title": "SOC code",
                                            "type": "string",
                                            "minLength": 1
                                        },
                                        "name": {
                                            "title": "SOC name",
                                            "type": "string",
                                            "minLength": 1
                                        }
                                    },
                                    "required": [
                                        "id",
                                        "name"
                                    ],
                                    "additionalProperties": false
                                }
                            },
                            "skills": {
                                "title": "List of skill mappings",
                                "type": "array",
                                "items": {
                                    "type": "object",
                                    "properties": {
                                        "id": {
                                            "title": "Skill id",
                                            "type": "string",
                                            "minLength": 1
                                        },
                                        "name": {
                                            "title": "Skill name",
                                            "type": "string",
                                            "minLength": 1
                                        }
                                    },
                                    "required": [
                                        "id",
                                        "name"
                                    ],
                                    "additionalProperties": false
                                }
                            }
                        },
                        "required": [
                            "socs",
                            "skills",
                            "names"
                        ],
                        "additionalProperties": false
                    },
                    "isSupervisor": {
                        "title": "Boolean value indicating whether the title's role is supervisory",
                        "type": "boolean",
                        "__internal": true
                    },
                    "levelBand": {
                        "title": "Standardized job level category",
                        "type": [
                            "string",
                            "null"
                        ],
                        "minLength": 1,
                        "__internal": true
                    },
                    "infoUrl": {
                        "title": "URL for a publicly accessible web page that includes information about the title",
                        "type": [
                            "string",
                            "null"
                        ],
                        "minLength": 1,
                        "pattern": "https://lightcast.io/open-titles/titles/.+"
                    }
                }
            }
        }
    },
    "required": [
        "data"
    ],
    "additionalProperties": false
}

POST List requested titles

Requesting title mappings requires additional permissions, please contact us if you'd like access to mappings.

Path Parameters

NameDescription
versionstringThe title version.Example: latest

Request Body

{
  "ids": [
    "ET89954A897A9A69C4",
    "ET3B93055220D592C8",
    "ET28D75166A2288ED3"
  ],
  "fields": [
    "id",
    "name",
    "pluralName"
  ]
}
{
    "$schema": "http://json-schema.org/draft-07/schema",
    "$id": "requests/titles-lookup.schema.json",
    "type": "object",
    "properties": {
        "ids": {
            "title": "Title ids",
            "type": "array",
            "items": {
                "type": "string",
                "minLength": 1,
                "__nodocs": true
            },
            "minItems": 1
        },
        "fields": {
            "title": "List of fields to return per title",
            "description": "See [/versions/{version}](#versions-version) for available fields.\n\n`mappings` require additional permissions, please [contact us](https://docs.lightcast.dev/contact) if you'd like access to mappings.",
            "type": "array",
            "items": {
                "type": "string",
                "minLength": 1,
                "__nodocs": true
            },
            "minItems": 1,
            "default": [
                "id",
                "name"
            ]
        }
    },
    "required": [
        "ids"
    ],
    "additionalProperties": false
}

Code Examples

{
  "method": "POST",
  "url": "https://api.lightcast.io/titles/versions/latest/titles",
  "show": true,
  "headers": [
    {
      "name": "Authorization",
      "value": "Bearer "
    },
    {
      "name": "Content-Type",
      "value": "application/json"
    }
  ],
  "postData": {
    "mimeType": "application/json",
    "text": "{ \"ids\": [ \"ET89954A897A9A69C4\", \"ET3B93055220D592C8\", \"ET28D75166A2288ED3\" ], \"fields\": [ \"id\", \"name\", \"pluralName\" ] }"
  },
  "queryString": []
}

Response Examples

{
  "data": [
    {
      "id": "ET89954A897A9A69C4",
      "pluralName": "Computer Scientists",
      "name": "Computer Scientist"
    },
    {
      "id": "ET3B93055220D592C8",
      "pluralName": "Data Scientists",
      "name": "Data Scientist"
    },
    {
      "id": "ET28D75166A2288ED3",
      "pluralName": "Scientists",
      "name": "Scientist"
    }
  ]
}

Invalid request.

{
  "errors": [
    {
      "status": 400,
      "title": "Invalid request",
      "detail": "Invalid request body"
    }
  ]
}

You don't have access to the normalization endpoint.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized",
      "detail": "You do not have access to this endpoint, please contact us at '[email protected]' to request access."
    }
  ]
}

The version you requested wasn't found.

{
  "errors": [
    {
      "title": "URL not found",
      "status": 404,
      "detail": "Unrecognized version: invaildVersion"
    }
  ]
}
{
    "$schema": "http://json-schema.org/draft-07/schema",
    "$id": "responses/titles.schema.json",
    "type": "object",
    "properties": {
        "data": {
            "title": "Title search response object",
            "type": "array",
            "items": {
                "type": "object",
                "properties": {
                    "id": {
                        "title": "Title id",
                        "type": "string",
                        "minLength": 1
                    },
                    "name": {
                        "title": "Title name",
                        "type": "string",
                        "minLength": 1
                    },
                    "pluralName": {
                        "title": "Plural form of title name",
                        "type": "string",
                        "minLength": 1
                    },
                    "mapping": {
                        "title": "Title SOC and skill mappings",
                        "type": "object",
                        "properties": {
                            "names": {
                                "title": "List of mapping names",
                                "description": "Mapping names are included in Titles v4.6 and onward.\n\nTitles may have zero or more mappings associated with them, the names of those mappings are listed here and represented in the unified list of skills and socs below.",
                                "type": "array",
                                "items": {
                                    "type": "string",
                                    "minLength": 1,
                                    "__nodocs": true
                                }
                            },
                            "socs": {
                                "title": "List of SOC mappings",
                                "type": "array",
                                "items": {
                                    "type": "object",
                                    "properties": {
                                        "id": {
                                            "title": "SOC code",
                                            "type": "string",
                                            "minLength": 1
                                        },
                                        "name": {
                                            "title": "SOC name",
                                            "type": "string",
                                            "minLength": 1
                                        }
                                    },
                                    "required": [
                                        "id",
                                        "name"
                                    ],
                                    "additionalProperties": false
                                }
                            },
                            "skills": {
                                "title": "List of skill mappings",
                                "type": "array",
                                "items": {
                                    "type": "object",
                                    "properties": {
                                        "id": {
                                            "title": "Skill id",
                                            "type": "string",
                                            "minLength": 1
                                        },
                                        "name": {
                                            "title": "Skill name",
                                            "type": "string",
                                            "minLength": 1
                                        }
                                    },
                                    "required": [
                                        "id",
                                        "name"
                                    ],
                                    "additionalProperties": false
                                }
                            }
                        },
                        "required": [
                            "socs",
                            "skills",
                            "names"
                        ],
                        "additionalProperties": false
                    },
                    "isSupervisor": {
                        "title": "Boolean value indicating whether the title's role is supervisory",
                        "type": "boolean",
                        "__internal": true
                    },
                    "levelBand": {
                        "title": "Standardized job level category",
                        "type": [
                            "string",
                            "null"
                        ],
                        "minLength": 1,
                        "__internal": true
                    },
                    "infoUrl": {
                        "title": "URL for a publicly accessible web page that includes information about the title",
                        "type": [
                            "string",
                            "null"
                        ],
                        "minLength": 1,
                        "pattern": "https://lightcast.io/open-titles/titles/.+"
                    }
                }
            }
        }
    },
    "required": [
        "data"
    ],
    "additionalProperties": false
}

/versions/{version}/titles/{titleId}

Returns information about a specific title

GET Get a title by ID

Requesting title mappings requires additional permissions, please contact us if you'd like access to mappings.

Path Parameters

NameDescription
versionstringThe title version.Example: latest
titleIdstringTitle id.Example: ET89954A897A9A69C4

Code Examples

{
  "method": "GET",
  "url": "https://api.lightcast.io/titles/versions/latest/titles/ET89954A897A9A69C4",
  "show": true,
  "headers": [
    {
      "name": "Authorization",
      "value": "Bearer "
    }
  ],
  "queryString": []
}

Response Examples

{
  "data": {
    "id": "ET89954A897A9A69C4",
    "name": "Computer Scientist",
    "pluralName": "Computer Scientists",
    "isSupervisor": false,
    "levelBand": "Professional",
    "mapping": {
      "names": [],
      "skills": [],
      "socs": [
        {
          "id": "15-1221",
          "name": "Computer and Information Research Scientists"
        }
      ]
    },
    "infoUrl": "https://lightcast.io/open-titles/titles/ET35635562C89DD29C",
    "removedVersion": null,
    "addedVersion": "1"
  }
}

The version you requested wasn't found.

{
  "errors": [
    {
      "title": "URL not found",
      "status": 404,
      "detail": "Unrecognized version: invaildVersion"
    }
  ]
}
{
    "$schema": "http://json-schema.org/draft-07/schema",
    "$id": "responses/single-title-search.schema.json",
    "type": "object",
    "properties": {
        "data": {
            "title": "Single title search response object",
            "type": "object",
            "properties": {
                "id": {
                    "title": "Title id",
                    "type": "string",
                    "minLength": 1
                },
                "name": {
                    "title": "Title name",
                    "type": "string",
                    "minLength": 1
                },
                "pluralName": {
                    "title": "Plural form of title name",
                    "type": "string",
                    "minLength": 1
                },
                "mapping": {
                    "title": "Title SOC and skill mappings",
                    "type": "object",
                    "properties": {
                        "names": {
                            "title": "List of mapping names",
                            "description": "Mapping names are included in Titles v4.6 and onward.\n\nTitles may have zero or more mappings associated with them, the names of those mappings are listed here and represented in the unified list of skills and socs below.",
                            "type": "array",
                            "items": {
                                "type": "string",
                                "minLength": 1,
                                "__nodocs": true
                            }
                        },
                        "socs": {
                            "title": "List of SOC mappings",
                            "type": "array",
                            "items": {
                                "type": "object",
                                "properties": {
                                    "id": {
                                        "title": "SOC code",
                                        "type": "string",
                                        "minLength": 1
                                    },
                                    "name": {
                                        "title": "SOC name",
                                        "type": "string",
                                        "minLength": 1
                                    }
                                },
                                "required": [
                                    "id",
                                    "name"
                                ],
                                "additionalProperties": false
                            }
                        },
                        "skills": {
                            "title": "List of skill mappings",
                            "type": "array",
                            "items": {
                                "type": "object",
                                "properties": {
                                    "id": {
                                        "title": "Skill id",
                                        "type": "string",
                                        "minLength": 1
                                    },
                                    "name": {
                                        "title": "Skill name",
                                        "type": "string",
                                        "minLength": 1
                                    }
                                },
                                "required": [
                                    "id",
                                    "name"
                                ],
                                "additionalProperties": false
                            }
                        }
                    },
                    "required": [
                        "socs",
                        "skills",
                        "names"
                    ],
                    "additionalProperties": false
                },
                "isSupervisor": {
                    "title": "Boolean value indicating whether the title's role is supervisory",
                    "type": "boolean",
                    "__internal": true
                },
                "levelBand": {
                    "title": "Standardized job level category",
                    "type": [
                        "string",
                        "null"
                    ],
                    "minLength": 1,
                    "__internal": true
                },
                "infoUrl": {
                    "title": "URL for a publicly accessible web page that includes information about the title",
                    "type": [
                        "string",
                        "null"
                    ],
                    "minLength": 1,
                    "pattern": "https://lightcast.io/open-titles/titles/.+"
                },
                "removedVersion": {
                    "title": "Version when the title was removed",
                    "description": "`null` if the title has not been removed.",
                    "type": [
                        "string",
                        "null"
                    ]
                },
                "addedVersion": {
                    "title": "Version when the title was added",
                    "type": "string"
                }
            },
            "required": [
                "id",
                "name",
                "pluralName",
                "isSupervisor",
                "levelBand",
                "infoUrl",
                "removedVersion",
                "addedVersion"
            ],
            "additionalProperties": false
        }
    },
    "required": [
        "data"
    ],
    "additionalProperties": false
}